<?php
/*------------------------------------------------------------------------
# shaper_creativa - Joomla Template by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# copyright Copyright (C) 2010 JoomShaper.com. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Websites: http://www.joomshaper.com - http://www.joomxpert.com
# This file may not be redistributed in whole or significant part
-------------------------------------------------------------------------*/
//no direct accees
defined ('_JEXEC') or die ('resticted aceess');
define("TEMPLATEPATH", dirname(__FILE__));
require_once(TEMPLATEPATH . DS . '/lib/php/sptools.php');
require_once(TEMPLATEPATH . DS . '/lib/php/sp.template.helper.php');
$template = new SPTemplateHelper($this);
require_once(TEMPLATEPATH.DS."modpos.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<?php 
	JHTML::_('behavior.mootools');
	require(TEMPLATEPATH . DS . "head.php");
?>
<link href="<?php echo $this->baseurl?>/templates/<?php echo $this->template?>/images/favicon.ico" rel="shortcut icon" type="image/x-icon" />
<script type="text/javascript">
	window.addEvent("domready",function(){
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.linear}, window);
		<?php if($menutype=='moomenu') { ?>
			new DropdownMenu( document.getElement('#hornav ul.menu'), {transition: Fx.Transitions.<?php echo $transition ?>, amount: <?php echo $listamount ?>});
		<?php } ?>
	});
</script>
</head>
<body class="bg">
<div id="topofpage"></div>
	<?php if($template->sp_isIe(6)) { ?>
		<?php if(($this->params->get('ie6',1))==1) { ?>
		<!--[if lt IE 7]>
		  <div id="warnIE6">
			<div class="ie6padding">
			<a id="warnIE6-close" href='#' onclick='javascript:this.parentNode.parentNode.style.display="none"; return false;'></a>
			<div id="warnIE6-image"></div>
			<div id="warnIE6-text">
				<div class="ietitle">You are using an outdated browser</div>
				<div class="iedesc">You are using Internet Explorer 6. Please upgrade your browser to increase safety and your browsing experience. Choose one of the following links to download a modern browser</div>
			  <a href='http://www.getfirefox.com/' target='_blank'><img src='<?php echo $this->baseurl?>/templates/<?php echo $this->template?>/images/nomoreie6/firefox.gif' style='border: none;' alt='Get Firefox Latest'/></a>
			  <a href='http://www.microsoft.com/windows/downloads/ie/getitnow.mspx' target='_blank'><img src='<?php echo $this->baseurl?>/templates/<?php echo $this->template?>/images/nomoreie6/ie.gif' style='border: none;' alt='Get Internet Explorer Latest'/></a>
			  <a href='http://www.apple.com/safari/download/' target='_blank'><img src='<?php echo $this->baseurl?>/templates/<?php echo $this->template?>/images/nomoreie6/safari.gif' style='border: none;' alt='Get Safari Latest'/></a>
			  <a href='http://www.google.com/chrome' target='_blank'><img src='<?php echo $this->baseurl?>/templates/<?php echo $this->template?>/images/nomoreie6/google-chrome.gif' style='border: none;' alt='Get Google Chrome'/></a>
			  <a href='http://www.opera.com/download/' target='_blank'><img src='<?php echo $this->baseurl?>/templates/<?php echo $this->template?>/images/nomoreie6/opera.gif' style='border: none;' alt='Get Opera'/></a>
			</div>
			</div>
			</div>
			<div class="clr"></div>
		<![endif]-->		
		<?php } ?>	
	<?php } ?>
	
	<!--MODULE POSITIONS HORNAV-->	
	<div id="header" class="clearfix">
		<div class="sp-container">
			<div class="sp-grid-12">
				<a id="logo" href="<?php echo $this->baseurl?>"></a>
				<?php if($this->countModules('hornav')) { ?>
					<div id="hornav<?php echo $hornav_suffix ?>">
						<jdoc:include type="modules" name="hornav" />						
					</div>	
				<?php } ?>
			</div>		
		</div>	
	</div>
	<!--END MODULE POSITIONS HORNAV-->	
	
	<!--MODULE POSITIONS breadcrumbs AND search-->	
	<?php if($this->countModules('breadcrumbs or search')) { ?>	
		<div id="breadcrumbs" class="clearfix">
			<div class="sp-container">
				<div class="sp-grid-12">
					<?php if ($this->countModules('search')) { ?>
						<strong>You are here : &nbsp;</strong><jdoc:include type="modules" name="breadcrumbs" /> 
					<?php } ?>	
					
					<?php if ($this->countModules('search')) { ?>	
						<div id="search">
							<jdoc:include type="modules" name="search" />
						</div>	
					<?php } ?>	
				</div>	
			</div>	
		</div>	
	<?php } ?>
	<!--END MODULE POSITIONS breadcrumbs AND search-->	

	<!--MODULE POSITION SLIDES-->	
	<?php if ($this->countModules('slides')) { ?>
		<div id="slides" class="clearfix">
			<div class="sp-container clearfix">
				<div class="sp-grid-12 clearfix">
					<jdoc:include type="modules" name="slides" />		
				</div>				
			</div>				
		</div>
	<?php } ?>
	<!--END MODULE POSITION SLIDES-->
	
	<!--MODULE POSITIONS QUOTE AND SHARE-->
	<?php if($this->countModules('quote or share')) { ?>	
		<div id="quote-share" class="clearfix">
			<div class="sp-container">
				<div class="sp-grid-12">
					<?php if ($this->countModules('quote')) { ?>	
						<div id="quote">
							<jdoc:include type="modules" name="quote" />
						</div>	
					<?php } ?>	

					<?php if ($this->countModules('share')) { ?>	
						<div id="share">
							<jdoc:include type="modules" name="share" />
						</div>	
					<?php } ?>	
				</div>	
			</div>	
		</div>	
	<?php } ?>	
	<!--END MODULE POSITIONS QUOTE AND SHARE-->
	
	<div class="sp-container clearfix">	
	<div class="contents clearfix">
	<!--MODULE POSITIONS MID-->
	<?php if($mods= $template->renderModule($pos->mid)) { ?>
		<div id="sp-mid" class="clearfix">
			<?php foreach($mods as $mod) { ?>
				<div class="<?php echo $mod['grid'].' '.$mod['extra-css']?>">
					<div class="sp-inside">	
						<jdoc:include type="modules" name="<?php echo $mod['name']?>" style="sp_flat" />
					</div>
				</div>
			<?php } ?>
		</div>
	<?php } ?>
	<!--END MODULE POSITIONS MID-->	
	<?php if ($this->countModules ( 'left' )) { ?>
		<div id="left" class="sp-grid-<?php echo $lrgrid ?> clearfix">
			<jdoc:include type="modules" name="left" style="sp_xhtml" />
		</div>	
	<?php } ?>	
	
	<div class="sp-grid-<?php echo $grid ?> clearfix">
		<jdoc:include type="message" />
		<jdoc:include type="component" />		
	</div>	
	
	<?php if ($this->countModules ( 'right' )) { ?>
		<div id="right" class="sp-grid-<?php echo $lrgrid ?> clearfix">
			<jdoc:include type="modules" name="right" style="sp_xhtml" />
		</div>	
	<?php } ?>		
		
		<div class="clr"></div>
		<!--MODULE POSITIONS USER-->
		<?php if($mods= $template->renderModule($pos->user)) { ?>
			<div id="sp-user" class="clearfix">
				<?php foreach($mods as $mod) { ?>
					<div class="<?php echo $mod['grid'].' '.$mod['extra-css']?>">
						<div class="sp-inside">	
							<jdoc:include type="modules" name="<?php echo $mod['name']?>" style="sp_flat" />
						</div>
					</div>
				<?php } ?>
			</div>
		<?php } ?>
		<!--END MODULE POSITIONS USER-->			
	</div>	
</div>
	<div class="clr"></div>
	<div id="bottom">
	<?php if($this->params->get('showtop')) { ?>
		<a href="#topofpage" id="gototop"></a>
	<?php } ?>
	<div class="sp-container clearfix">	
	<!--MODULE POSITIONS BOTTOM-->
	<?php if($mods= $template->renderModule($pos->bottom)) { ?>
		<div id="sp-bottom" class="clearfix">
			<?php foreach($mods as $mod) { ?>
				<div class="<?php echo $mod['grid'].' '.$mod['extra-css']?>">
					<div class="sp-inside">	
						<jdoc:include type="modules" name="<?php echo $mod['name']?>" style="sp_flat" />
					</div>
				</div>
			<?php } ?>
		</div>
	<?php } ?>
	<!--MODULE POSITIONS BOTTOM-->
	</div>
	</div>
	
	<div id="sp-footer" class="clearfix">
	<div class="sp-container clearfix">	
		<div class="sp-inside">
		<?php if($this->countModules('footer-nav')) { ?>	
			<div id="footer-nav">
				<jdoc:include type="modules" name="footer-nav" />
			</div>
		<?php } ?>
		
		<small>
			Copyright &copy; <?php echo $this->params->get('copyright'); ?>
			<!--You are not allowed to remove or modify below link. You need to purchase copyright removal license from http://www.joomshaper.com/copyright-removal-license.html in order to remove this link.-->
			Designed by <a target="_blank" href="http://www.joomshaper.com">JoomShaper</a><br />
			<?php if($this->params->get('jinfo')) { ?>
				<a target="_blank" href="http://www.joomla.org">Joomla!</a> is Free Software released under the <a target="_blank" href="http://www.gnu.org/licenses/gpl-2.0.html">GNU/GPL License</a>.	
			<?php } ?>	
		</small>
		</div>
	</div>	
	</div>	
</body>
</html>
