<?php
/*
# ------------------------------------------------------------------------
# SlideShow Pro SP2 module for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2010 JoomShaper.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# Author: JoomShaper.com
# Websites:  http://www.joomshaper.com -  http://www.joomxpert.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.mootools');
$uri 					= JURI::getInstance();
$livePath				= JURI::base() . 'modules/mod_slideshow_pro_sp2';
$document 				= & JFactory::getDocument();
$uniqid					= $params->get('uniqid', '1');
$layout					= $params->get('layout', 'default');
$showtitle				= $params->get('showtitle',1) ? true : false;
$titlelinked			= $params->get('titlelinked',1) ? true : false;
$showdate				= $params->get('showdate',1) ? true : false;
$showarticle			= $params->get('showarticle',1) ? true : false;
$showimage				= $params->get('showimage',1) ? true : false;
$imagelinked			= $params->get('imagelinked',1) ? true : false;
$showmore				= $params->get('showmore',1) ? true : false;
$showarrows				= $params->get('showarrows',1) ? true : false;
$autoplay				= $params->get('autoplay',1) ? true : false;
$thumbratio				= $params->get('thumbratio', 1) ? true : false;
$titlelimit				= $params->get('titlelimit',20);
$desclimit				= $params->get('desclimit',30);
$moretext				= $params->get('moretext', 'Read More...');
$width					= $params->get('width', 320);
$height					= $params->get('height', 200);
$interval 				= $params->get("interval", 5000);
$speed 					= $params->get('speed', 1000);
$effects				= $params->get('effects','cover-inplace-fade');
$transition 			= $params->get("transition", "Sine.easeOut");
$thumbwidth				= $params->get('thumbwidth', 50);
$thumbheight			= $params->get('thumbheight', 50);
$itemheight				= $params->get('itemheight', 50);
$itemwidth				= $params->get('itemwidth', 50);
$maxitem				= $params->get('maxitem', 3);
//Calculations
$left = $showarrows ? 40 : 0;
$slide_height=$height-$itemheight;
$slide_width=$width-$itemwidth;
$cwidth= $showarrows ? $width-80 : $width;
$thumb_width=round($cwidth/$maxitem);
$thumb_height=round($height/$maxitem);
// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');
$list = modSlideShowSP2Helper::getList($params);

//Detect mootools version
if(isset(JFactory::getApplication()->MooToolsVersion) && JFactory::getApplication()->MooToolsVersion=='1.2.4 +Compat') {
	$moo='12';
}else {
	$moo='11';
}

//Load Layout Style
if ($moo=='11') $document->addScript(JURI::base() . 'modules/mod_slideshow_pro_sp2/assets/js/mootools-1.1x_fix.js');
$document->addScript(JURI::base() . 'modules/mod_slideshow_pro_sp2/assets/js/script_moo' . $moo . '.js');
$document->addStylesheet(JURI::base() . 'modules/mod_slideshow_pro_sp2/assets/css/' . $layout . '.css');

if ($layout=='movie') {
	require(JModuleHelper::getLayoutPath('mod_slideshow_pro_sp2', 'movie'));
} elseif ($layout=='elegant') {
	require(JModuleHelper::getLayoutPath('mod_slideshow_pro_sp2', 'elegant'));
} elseif ($layout=='showcase1') {
	require(JModuleHelper::getLayoutPath('mod_slideshow_pro_sp2', 'showcase1'));
} elseif ($layout=='showcase2') {
	require(JModuleHelper::getLayoutPath('mod_slideshow_pro_sp2', 'showcase2'));
} else { 
	require(JModuleHelper::getLayoutPath('mod_slideshow_pro_sp2'));
}

?>